Subject: bug#68512: Qutebrowser 3, no sound from pipewire-only system

From: Sergey Trofimov <[email-masked]>
Date: Tue, 16 Jan 2024 20:25:44 +0100

chris <[email-masked]> writes:

> Hello,
>
> The latest qutebrowser v3 from this pipewire-only system has no 
> sound. Related
> messages from the shell process pasted below include CJK 
> characters which
> debbugs renders as "??", all CJK messages translate as "file or 
> directory not
> found"
>

yeah, debbugs doesn't support unicode on the web fully. But when 
checking your messages in emacs debbugs interface, I see the CJK 
characters just fine.

> ```
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3003:3003:0116/083803.232761:ERROR:alsa_util.cc(204)] PcmOpen: 
> default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3003:3003:0116/083803.233758:ERROR:alsa_util.cc(204)] PcmOpen: 
> plug:default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3003:3003:0116/083808.743619:ERROR:alsa_util.cc(204)] PcmOpen: 
> default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3003:3003:0116/083808.744661:ERROR:alsa_util.cc(204)] PcmOpen: 
> plug:default,そのようなファイルやディレクトリはありません
> ```
>
> About a year ago, user @iyzsong enabled pipewire support at 
> qutebrowser v2 for
> me and sound has been good here until today when qutebrowser v3 
> was installed.
> iirc, a flag was enabled in qutebrowser or one of its 
> dependencies.
>

How is pipewire configured on your system? The thing is that 
qtwebengine@5 is linked with PulseAudio and ALSA libraries, but @6 
is linked only with alsa. You probably miss pipewire-alsa 
compatibility configuration. Do you use 
home-pipewire-service-type? It sets both pulse/alsa shims and it 
works for me this way.